#!/usr/bin/env python

"""
setup.py file for netcf
"""

from distutils.core import setup
from distutils.core import Command
from unittest import TextTestRunner, TestLoader
import os
prefix = os.environ.get("prefix", "/usr")

class TestCommand(Command):
    user_options = [ ]

    def initialize_options(self):
        self._dir = os.getcwd()

    def finalize_options(self):
        pass

    def run(self):
        '''
        Discover all the tests modules in test/, and runs them.
        '''
        tests = TestLoader().discover(self._dir + '/test')
        t = TextTestRunner(verbosity = 10)
        t.run(tests)

setup (name = 'python-netcf',
       version = '0.1.0',
       author      = "Lars Sjostrom",
       author_email = "lars.sjostrom@redhat.com",
       description = """Python bindings for Netcf""",
       py_modules = [ "netcf" ],
       url = "https://fedorahosted.org/netcf/",
       cmdclass = { 'test': TestCommand },
       )